List conversation threads
GET /v1/threads · SDK listThreads · CLI deployments thread list
Requires runs:read.
AuthorizationBearer <token>Opaque bearer credential scoped to one service account and tenant.
cursor?stringOpaque cursor returned by the previous page.
1 <= length <= 4096limit?integerMaximum number of resources to return.
1 <= value <= 100executionBindingId?stringPreview or evaluation execution binding whose resources should be returned. Resources of execution bindings are excluded unless this filter is set.
x-deployments-environment?stringRequired with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-organization?stringRequired with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-project?stringRequired with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.
^[0-7][0-9A-HJKMNP-TV-Z]{25}$ListThreadsResponse
application/json- response
nextCursor?|nullthreads*array<>curl -X GET "https://example.com/v1/threads"{ "nextCursor": "string", "threads": [ { "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "version": 0, "environmentId": "string", "organizationId": "string", "projectId": "string", "workspaceId": "string", "agentDeploymentId": "string", "archived": true, "channel": "string", "continuedFromThreadId": "string", "createdBy": { "id": "string", "type": "agent" }, "executionBindingId": "string", "executionPurpose": "customer", "externalThreadKey": "string", "id": "string", "object": "thread", "pinned": true, "pinnedAgentReleaseId": "string", "streamId": "string", "title": "string" } ]}